#include "motor.h"

#include <Arduino.h>

Motor::Motor(int dir, int speed, int chanel) {
    this->dirpin = dir;
    this->speedpin = speed;
    this->channel = chanel;
    ledcSetup(chanel, 500, 8);
    ledcAttachPin(speed, chanel);
    pinMode(dir, OUTPUT);
    digitalWrite(dirpin, LOW);
}

void Motor::forward(int speed) {
   digitalWrite(this->dirpin, LOW);
   ledcWrite(this->channel, speed);
}

void Motor::reverse(int speed) {
    digitalWrite(this->dirpin, HIGH);
    ledcWrite(this->channel, 255-speed);
}

